
Infrastructure - Task #2842

Story # 2840 (Closed): Implement morpho to use Dataone API

Design and implment the APIs for morpho to connect Dataone nodes

2012-06-01 23:16 - Jing Tao

Status: Closed Start date: 2012-06-01

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2013.10-Block.2.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

We haven't decided if we will get rid of metacat apis from morpho. But i am think we can add a new abstract plugin which charges the

communications between morpho and remote repositories. We may names the plugin "RemoteRepository Plugin". We needs a

carefully designed APIs for it. The developer can decide to implement the plugin interface by use metacat APIs, dataone APIs or

something else.

History

#1 - 2012-07-10 17:57 - Rob Nahf

Following the existing DataStoreInterface, it would be straightforward to implement a DataONEDataStore, just as there is MetacatDataStore. 

Turning that into a plugin and designing the plugin seems to be the bulk of the design work here.

#2 - 2012-07-10 20:35 - Jing Tao

The problem is that DataStoreInterface doesn't encapsulate the all codes which connect the metacat server. Metacate code is scattered around the

entire morpho source code. So we need to redesign the API. Of course, we can borrow some APIs from DataStoreInterface.

#3 - 2012-10-11 15:33 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#4 - 2012-10-24 18:20 - Ben Leinfelder

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#5 - 2012-12-12 16:51 - Chris Jones

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#6 - 2013-03-01 18:33 - Ben Leinfelder

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

#7 - 2013-03-02 05:31 - Ben Leinfelder

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0
